/* Police ajout juin 2024 */

h1 { font-size: 20px; font-weight: 500; color: #000; line-height: 30px; }

h2 { font-size: 18px; font-weight: 100; color: #000; line-height: 28px; }

h3 { font-size: 16px; font-weight: 100; color: #000; line-height: 26px; }

h4 { font-size: 14px; font-weight: 100; color: #000; line-height: 24px; }

h5 { font-size: 12px; font-weight: 100; color: #000; line-height: 20px; }

/* CSS reset */
html, body, div, span, ul, li, nav {
	margin: 0;
	padding: 0;
	border: 0;
}

nav { display: block; }

body { line-height: 1; }

ul { list-style: none; }



/* Page code */


a { color: #000000; border-bottom: 1px dashed #000; text-decoration: none; transition: all .3s; }
a:hover, a:focus { color: #CC0000; border: 0; text-decoration: none; }



::-moz-selection { background: #f35b3f; color: #fff; text-shadow: none; }
::selection { background: #f35b3f; color: #DC1100; text-shadow: none; }
/* Page distance bandeau / texte */
.page-content { padding: 75px 10px; }
.page-content p { margin: 10px 0 0 0; color: #fff; color: rgba(255, 255, 255, 0.8); }
.page-content a { color: #fff; color: rgba(255, 255, 255, 0.8); border-color: #fff; border-color: rgba(255, 255, 255, 0.8); }
.page-content a:hover, 
.page-content a:focus { color: #ffF; color: rgba(255, 255, 255, 0.8); }


/* Hamburger button code */

.hamburger-button { position: relative; max-width: 1140px; margin: 0 auto; }

.hamburger-button button {
	position: absolute; top: 10px; right: 0; width: 40px; height: 40px; 
	background: none; border: 0; box-shadow: none; 
	cursor: pointer; vertical-align: middle; z-index: 999;
}
.hamburger-button button:focus { outline: 0; }

.hamburger-button button span {
	display: block; width: 80%; height: 2px; margin: 5px auto; background: #FF0000;
	transition: all .8s cubic-bezier(0.250, 0.100, 0.250, 1.000);
}

.hamburger-button button:hover span,
.hamburger-button button:focus span { background: #FF0000; }

/* rotate first span */
.hamburger-button button span:first-of-type { transform: rotate(45deg) translate(5px, 5px); }
/* hide second span */
.hamburger-button button span:nth-of-type(2) { opacity: 0; }
/* rotate third span */
.hamburger-button button span:last-of-type { transform: rotate(-45deg) translate(5px, -5px); }

.hamburger-button button.menu-closed span { transform: none; opacity: 1; }


/* Menu code */

.top-menu {
	position: fixed; top: -65px; left: 0; width: 100%; padding: 10px 0; background: #000;
	box-shadow: 0 2px 5px 1px rgba(51, 51, 51, 0.5);
	transition: all .5s cubic-bezier(0.250, 0.250, 0.750, 0.750);
}

.top-menu.active { top: 0; }

.top-menu .components { max-width: 1140px; margin: 0 auto; overflow: hidden; }

.top-menu .logo { float: left; width: 20%; text-align: left; }

.top-menu .logo a {
	display: inline-block; width: 123px; height: 40px; 
	background: url(../img/logo.png) left center no-repeat; border: 0;
	text-indent: -999999px;
}

.top-menu .navigation { float: left; width: 70%; text-align: right; }

.top-menu .navigation li { display: inline-block; }

.top-menu .navigation li a { display: inline-block; padding: 5px 10px; color: #0000; border: 0; }
.top-menu .navigation li a:hover,
.top-menu .navigation li a:focus { color: #ccc; border: 0; outline: 0; }


